<template>
  <lazy-theme-desktop-peru-referrals-referral
    v-if="selectedThemeName.includes('peru')"
  />
  <MReferral v-else-if="isMobile" />
  <Referral v-else />
</template>

<script lang="ts" setup>
import MReferral from "@/components/theme/common/mobile/referral/Referral.client.vue";
import Referral from "@/components/theme/common/desktop/referral/Referral.client.vue";
import { store } from "~~/store";
const isMobile = !useIsDesktop();
const selectedThemeName = computed(() => store.state.selectedThemeName);
</script>
<style lang="postcss" scoped></style>
